Subject: Re: pdf readers
To: Christofer C. Bell <>
From: None <>
List: netbsd-users
Date: 02/09/2000 18:58:33
On Wed, 9 Feb 2000, Christofer C. Bell wrote:

> George Sollish wrote:
> > 
> > Adobe acrobat appears to check for supported platforms (NetBSD 1.4.1 isn't
> > on their list) before opening, so I can't trick it into opening in
> > emulation.  Any alternatives or work arounds?
> There is a workaround to get Adobe Acrobat Reader to work on
> NetBSD/i386.  If you look at the acroread file, you'll note that it's a
> shell script.  What I do on my NetBSD/i386 system is edit the script
> that so it thinks it's running on a Linux system.  Here is a patch you
> can apply to the acroread script to make it work:

and a similar patch is part of the acroread package which I recommend.
That way you don't have to mess with patching stuff by hand.  Plus other
arch's besides i386 are supported (I don't think I ever heard what sort of
machine is in question here).